<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

# Заголовок>Функции>Шапка
$title = 'Сообщения';
require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));

$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:

echo '<div class="title">'.$title.'</div>';


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `message_c` WHERE `kto` = '".$user['id']."' and `del` = '0'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
if($user['ajax']== 1)
{
// Ajax
?>
<script>
function show(){ 
$.ajax({ 
url: "/ajax/listDialogs.php?us_id=<?php echo $user['id'];?>&start=<?php echo $start;?>&max=<?php echo $max;?>", 
cache: false, 
success: function(html){ 
$("#messages").html(html); 
} 
}); 
} 

$(document).ready(function(){ 
show(); 
setInterval('show()',1000); 
}); 



</script>
<?php

echo '<div id="messages">
<div class="podmenu">Загрузка сообщений...</div>
</div>';
}else {
$dialog = mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `del` = '0' ORDER BY `posl_time` DESC LIMIT $start, $max");
while($d = mysql_fetch_assoc($dialog))
{
echo '<div class="links">';
$list = mysql_fetch_assoc(mysql_query("SELECT * FROM `message` WHERE `kto` = '".$user['id']."' and `komy` = '".$d['kogo']."' or `kto` = '".$d['kogo']."' and `komy` = '".$user['id']."' ORDER BY `time` DESC LIMIT 1"));
if(!empty($list['id']) and $user['id'] != $list['kto'] and $list['readlen'] == 0){
echo ' <img src="'.$HOME.'/images/readlen.png" alt="*" />';
}
echo ''.nick($d['kogo']).' (<a href="'.$HOME.'/mes/dialog'.$d['kogo'].'">переписка</a>) (<a href="'.$HOME.'/mes/del_c'.$d['kogo'].'">удалить</a>)</div>';

$count = mysql_result(mysql_query("SELECT COUNT(id) FROM `message` WHERE `kto` = '".$user['id']."' and `komy` = '".$d['kogo']."' or `kto` = '".$d['kogo']."' and `komy` = '".$user['id']."'"),0);



echo '</div>';
}
}
echo '<div class="podmenu"><center><a href="'.$HOME.'/mes/ignor_list">Список игнора</a> / <a href="'.$HOME.'/mes/search/">Поиск по переписке</a> / <a href="'.$HOME.'/mes/save/">Избранные сообщения</a></center></div>';

if($k_post < 1) echo '<div class="podmenu"><center><b>Список контактов пуст!</b></center></div>';
if($k_page > 1) echo str(''.$HOME.'/mes?',$k_page,$page); // Вывод страниц

echo '<div class="menudiv"><a href="'.$HOME.'/kab.php" class="k_menu">Назад в кабинет</div></a>';

break;

case 'del_c':

$id = abs(intval($_GET['id']));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($ank == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Удалить диалог</div>';

if (isset($_GET['da'])){
$msg = mysql_query("SELECT * FROM `message` WHERE `kto` = '".$user['id']."' and `komy` = '".$id."' and `readlen` = '0' or `kto` = '".$id."' and `komy` = '".$user['id']."' and `readlen` = '0' ORDER BY `time` DESC");
while($m = mysql_fetch_assoc($msg)){
if($user['id'] == $m['komy']) {
mysql_query("UPDATE `message` SET `readlen` = '1' WHERE `id`='".$m['id']."' limit 1");
}
}

mysql_query('UPDATE `message_c` SET `del`="1" WHERE `kogo` = "'.$id.'" AND `kto` = "'.$user['id'].'" limit 1');
header('Location: '.$HOME.'/mes/'); exit;
}

echo '<div class="podmenu">Вы действительно хотите УДАЛИТЬ диалог с '.nick($id).' ? <br /><br /><a href="'.$HOME.'/mes/del_c'.$id.'?da"><b>Да</b></a> | <a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Отмена</a></div>';

break;
case 'dialog':

$id = abs(intval($_GET['id']));
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));
if($mess == 0) {
echo err($title, 'Такого пользователя не существует!');
require_once ('../system/footer.php'); exit;
}
if(isset($mess['id']) and $user['id'] == $id) {
echo err($title, 'Ошибка!');
require_once ('../system/footer.php'); exit;
}

$di = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c`  WHERE `kto` = '".$user['id']."' and `kogo` = '".$mess['id']."'  LIMIT 1"));
if($di['del'] == 1) {
echo err($title,'Диалог был удален!');
require_once ('../system/footer.php'); exit;
}

$con = mysql_result(mysql_query("SELECT COUNT(id) FROM `message_c` WHERE `kogo` = '".$mess['id']."' and `kto` = '".$user['id']."' LIMIT 1"),0);
if($con == 0) {
mysql_query("INSERT INTO `message_c` SET `kto` = '".$user['id']."', `kogo` = '".$mess['id']."', `time` = '".time()."', `posl_time` = '".time()."'");
mysql_query("INSERT INTO `message_c` SET `kto` = '".$mess['id']."', `kogo` = '".$user['id']."', `time` = '".time()."', `posl_time` = '".time()."'");
}

$ignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$mess['id']."' and `kogo` = '".$user['id']."'"));
$youignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$mess['id']."'"));

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['msg']);

if($ignor['ignor'] == 1) {
echo err($title, 'Пользователь добавил Вас в игнор лист!');
require_once ('../system/footer.php'); exit;  
}

if(empty($text) or mb_strlen($text) < 3) {
echo err('Ошибка ввода ,минимум 3 символа!');
require_once ('../system/footer.php'); exit;
}

$tim = mysql_query("SELECT * FROM `message` WHERE `kto` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `mes` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['mes']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['mes'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

$files = null;
if($user['form_file'] == 1) {
$maxsize = 25; // Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; // Вес файла

if(@file_exists($_FILES['filename']['tmp_name'])) {
    
if($size > (1048576 * $maxsize)) {
echo err($title, 'Максимальный размер файла '.$maxsize.'мб!');
require_once ('../system/footer.php'); exit;
}

$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp', 'zip', 'rar', 'mp4','mp3','amr','3gp','avi','flv' ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1); 

if(!in_array($upfiletype,$filetype)) {
echo err($title, 'Такой формат запрещено загружать!');
require_once ('../system/footer.php'); exit;
}

$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/mes/".$files.""); 
}
}

$dels = mysql_result(mysql_query("SELECT COUNT(id) FROM `message_c` WHERE `kogo` = '".$mess['id']."' and `kto` = '".$user['id']."' and `del` = '1' or `kogo` = '".$user['id']."' and `kto` = '".$mess['id']."' and `del` = '1' LIMIT 2"),0);
if($dels >= 1) {
mysql_query('UPDATE `message_c` SET `del`="0" WHERE `kogo` = "'.$mess['id'].'" AND `kto` = "'.$user['id'].'" limit 1');
mysql_query('UPDATE `message_c` SET `del`="0" WHERE `kogo` = "'.$user['id'].'" AND `kto` = "'.$mess['id'].'" limit 1');
}

mysql_query("INSERT INTO `message` SET `id` = '".$id."', `file` = '".$files."'");
mysql_query("UPDATE `message_c` SET `posl_time`='".time()."' WHERE `kogo` = '".$user['id']."' and `kto`='".$id."' limit 1");
mysql_query("UPDATE `message_c` SET `posl_time`='".time()."' WHERE `kto` = '".$user['id']."' and `kogo`='".$id."' limit 1");

mysql_query("INSERT INTO `message` SET `text` = '".$text."', `kto` = '".$user['id']."', `komy` = '".$mess['id']."', `time` = '".time()."', `readlen` = '0', `file` = '".$files."'");

header('Location: '.$HOME.'/mes/dialog'.$mess['id'].'');
exit();
}
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Диалог с '.$mess['login'].'</div>';
echo '<div class="podmenu"><center><a href="'.$HOME.'/mes/dialog'.$mess['id'].'">Обновить</a> | <a href="'.$HOME.'/smile/">Смайлы</a> | <a href="'.$HOME.'/bb.php">BB коды</a></center></div>';


if($ignor['ignor'] != 1) {
if($youignor['ignor'] == 0) {
echo '<div class="podmenu">Если Вы хотите,чтобы '.nick($mess['id']).' не мог писать Вам сообщения,то можете его добавить в <a href="'.$HOME.'/mes/ignor'.$mess['id'].'">игнор лист</a>!</div>';
} else {
echo '<div class="podmenu">Если Вы не хотите,чтобы '.nick($mess['id']).' мог писать Вам сообщения,то уберите его с <a href="'.$HOME.'/mes/ignor_up'.$mess['id'].'">игнор листа</a>!</div>';
}


if($user['form_file'] == 1) {
    echo '<div class="podmenu">';
echo '<form action="" name="message" method="POST" enctype="multipart/form-data">';
echo 'Выберите файл:<br><input type="file" name="filename"/></div>';
} else {
echo '<form action="" name="message" method="POST">';
}
    
echo '<div class="podmenu">';
if($user['bb_panel'] == 1) {
require_once ('../system/bbcode.php');  
}
echo '<textarea name="msg" placeholder="Текст сообщения..." /></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

echo '<div class="podmenu">Был в сети: '.times($mess['viz']).'</div>';
} else {
echo '<div class="podmenu"><center><b>'.nick($mess['id']).' добавил Вас в игнор лист!</b></center></div>';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `message` WHERE `kto` = '".$user['id']."' and `komy` = '".$mess['id']."' or `kto` = '".$mess['id']."' and `komy` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
if($user['ajax']== 1)
{
?>

<script>
function show(){ 
$.ajax({ 
url: "/ajax/dialogs.php?id=<?php echo $id ;?>&start=<?php echo $start;?>&max=<?php echo $max;?>", 
cache: false, 
success: function(html){ 
$("#messages").html(html); 
} 
}); 
} 

$(document).ready(function(){ 
show(); 
setInterval('show()',1000); 
}); 



</script>

<?php


echo '<div id="messages">
<div class="podmenu">Загрузка сообщений...</div>
</div>';
}
else {
$msg = mysql_query("SELECT * FROM `message` WHERE `kto` = '".$user['id']."' and `komy` = '".$mess['id']."' or `kto` = '".$mess['id']."' and `komy` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($m = mysql_fetch_assoc($msg))
{
echo '<div class="links">';
if($m['kto'] == $user['id']) echo '<b>Вы </b>';
else echo nick($m['kto']).' ';
echo vremja($m['time']);
if($m['readlen'] == 0) {
echo ' [<font color="red">Не прочитано</font>]';
} else {
echo ' [<font color="green">Прочитано</font>]';
}

$sav = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_save` WHERE `uid` = '".$m['id']."'"),0);
if($sav == 0) echo ' <br />[<a href="'.$HOME.'/mes/save_mes'.$m['id'].'">save</a>]';

echo '</div><div class="podmenu">'.bb(smile($m['text'])).'</div>';

if($m['file'])
echo '<div class="podmenu"><a href="../files/mes/'.$m['file'].'">'.$m['file'].'</a> ['.fsize('../files/mes/'.$m['file']).']</div>';


if($user['id'] == $m['komy']) {
mysql_query("UPDATE `message` SET `readlen` = '1' WHERE `id`='".$m['id']."' limit 1");
}
}
}
if($k_post < 1) echo '<div class="podmenu"><center><b>Переписка с '.nick($mess['id']).' еще не состоялась!</b></center></div>';
if ($k_page > 1) echo str(''.$HOME.'/mes/dialog'.$mess['id'].'?',$k_page,$page); // Вывод страниц
echo '<div class="menudiv"><a href="'.$HOME.'/mes/" class="k_menu">Назад в диалоги</div></a>';

break;
case 'ignor':

$id = abs(intval($_GET['id']));
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));

$ig = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$mess['id']."' LIMIT 1"));
if(isset($mess['id']) and $user['id'] != $mess['id'] and $ig['ignor'] != 1) {

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Игнорировать  '.$mess['login'].'</div>';

if(isset($_REQUEST['okda'])) {
mysql_query("UPDATE `message_c` SET `ignor` = '1' WHERE `kogo` = '".$mess['id']."' and `kto` = '".$user['id']."'");
header('Location: '.$HOME.'/mes/dialog'.$mess['id'].'');
exit();
}

echo '<div class="podmenu">Вы действительно хотите добавить '.nick($id).' в игнор лист? <br /><br /><a href="'.$HOME.'/mes/ignor'.$mess['id'].'?okda"><b>Да</b></a> | <a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Отмена</a></div>';

} else {
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Ошибка</div>
<div class="podmenu"><center><b>Ошибка</b></center></div>';
require_once ('../system/footer.php');
exit();
}

break;
case 'ignor_list':

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Ваш игнор лист</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `message` WHERE `kto` = '".$user['id']."' and `ignor` = '1'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$ignor = mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `ignor` = '1' ORDER BY `id` DESC LIMIT $start, $max");
while($i = mysql_fetch_assoc($ignor))
{
echo '<div class="podmenu">'.nick($i['kogo']).' [<a href="'.$HOME.'/mes/ignor_up'.$i['kogo'].'">убрать с игнора</a>]</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Игнор-лист пуст!</b></center></div>';
if ($k_page > 1) echo str(''.$HOME.'/mes/ignor_list/?',$k_page,$page); // Вывод страниц
echo '<div class="menudiv"><a href="'.$HOME.'/mes/" class="k_menu">Назад в диалоги</div></a>';

break;
case 'ignor_up':

$id = abs(intval($_GET['id']));
$youignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$id."'"));

if($youignor['ignor'] == 1) {

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Убрать с игнор листа </div>';

if(isset($_REQUEST['okda'])) {
mysql_query("UPDATE `message_c` SET `ignor` = '0' WHERE `kogo` = '".$youignor['kogo']."' and `kto` = '".$user['id']."'");
header('Location: '.$HOME.'/mes/ignor_list/');
exit();
}

echo '<div class="podmenu">Вы действительно хотите убрать '.nick($youignor['kogo']).' с вашего игнор листа?<br /><a href="'.$HOME.'/mes/ignor_up'.$id.'?okda">Да</a></div>';
} else {
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Ошибка </div>';
echo '<div class="podmenu"><center><b>Ошибка,этот пользователь не в игнор листе</b></center></div>';
}

break;
case 'save_mes':

$id = abs(intval($_GET['id']));
$save = mysql_fetch_assoc(mysql_query("SELECT * FROM `message` WHERE `id` = '".$id."' LIMIT 1"));

if(isset($save['id']) and $save['komy'] == $user['id'] or $save['kto'] == $user['id']) {

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Добавить в избранное </div>';

if(isset($_REQUEST['okda'])) {
mysql_query("INSERT INTO `message_save` SET `uid` = '".$id."', `kto` = '".$user['id']."', `text` = '".$save['text']."', `ktoavtor` = '".$save['kto']."', `time` = '".$save['time']."'");
header('Location: '.$HOME.'/mes/save/');
exit();
}

echo '<div class="podmenu">Вы действительно хотите сохранить это письмо?<br /><a href="'.$HOME.'/mes/save_mes'.$id.'?okda">Да</a></div>';
} else {
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Ошибка</div>
<div class="podmenu"><center><b>Такого сообщения не существует!<b></center></div>';
require_once ('../system/footer.php');
exit();
}

break;
case 'save':

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Избранные сообщения</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `message_save` WHERE `kto` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$sa = mysql_query("SELECT * FROM `message_save` WHERE `kto` = '".$user['id']."'");
while($s = mysql_fetch_assoc($sa))
{
echo '<div class="links">Сообщение от: '.nick($s['ktoavtor']).' ('.vremja($s['time']).')</div><div class="podmenu">'.bb(smile($s['text'])).'<br />[<a href="'.$HOME.'/mes/delsave'.$s['id'].'">убрать с избранных</a>]</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Избранных сообщений пока нету!</b></center></div>';
if ($k_page > 1) echo str(''.$HOME.'/mes/save/?',$k_page,$page); // Вывод страниц
echo '<div class="menudiv"><a href="'.$HOME.'/mes/" class="k_menu">Назад в диалоги</div></a>';

break;
case 'delsave':

$id = abs(intval($_GET['id']));
$save = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_save` WHERE `id` = '".$id."' LIMIT 1"));

if(isset($save['id']) and $save['kto'] == $user['id']) {

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `message_save` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/mes/save/');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Удалить избранное сообщение </div>';
echo '<div class="podmenu">Вы действительно хотите удалить это сообщение с избранных?<br /><a href="'.$HOME.'/mes/delsave'.$id.'?okda">Да</a></div>';
} else {
echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Удалить избранное сообщение </div>';
echo '<div class="podmenu"><center><b>Такого сообения не существует!</b></center></div>';
}

break;
case 'search':

echo '<div class="title"><a href="'.$HOME.'/mes/">Сообщения</a> | Поиск по переписке </div>
<div class="podmenu">Введите текст,который хотите найти в личных диалогах!</div>
<div class="podmenu"><form action="" method="POST">
Текст:<br /><input type="text" name="ser" /></br />
<input type="submit" name="ok" value="Искать" />
</form></div>';

if(isset($_REQUEST['ok'])) {

$ser = strong($_POST['ser']);

if(empty($ser) or mb_strlen($ser) < 3) {
echo '<div class="podmenu"><center><b>Ошибка ввода ,минимум 3 символа</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="'.$HOME.'/design/gradient/lol.png"> Результаты поиска:</div>';
$search = mysql_query("SELECT * FROM `message` where `text` LIKE '%".$ser."%' and `komy` = '".$user['id']."' or `text` LIKE '%".$ser."%' and `kto` = '".$user['id']."' ORDER BY `time` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `message` where `text` LIKE '%".$ser."%' and `komy` = '".$user['id']."' or `text` LIKE '%".$ser."%' and `kto` = '".$user['id']."'"),0);

while($s = mysql_fetch_assoc($search)){
echo '<div class="links">'.nick($s['kto']).' =(написал)=> '.nick($s['komy']).' ('.vremja($s['time']).')</div>
<div class="podmenu">'.bb(smile($s['text'])).'</div>';
}
}

if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';

break;
}
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>